V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
skai0dev
V2EX  ›  问与答

M1 Pro macOS JDK 版本选择

  •  
  •   skai0dev · 65 天前 · 962 次点击
    这是一个创建于 65 天前的主题,其中的信息可能已经有所发展或是发生改变。

    我看 JDK 17 是原生支持 M1 的,但是 JDK11 和 JDK8 好像不支持,还是用的转译,以后这两个版本可能加入 M1 的支持吗?

    7 条回复    2021-11-22 17:44:39 +08:00
    lostberryzz
        1
    lostberryzz  
       65 天前   ❤️ 2
    skai0dev
        2
    skai0dev  
    OP
       65 天前
    @lostberryzz 谢谢,没用过这个,这个稳吗,我们需要把 JDK 集成到我们的软件里
    icyalala
        3
    icyalala  
       65 天前   ❤️ 1
    装完 IDEA 后,有个列表可以选择安装不同版本的 JDK ,后面有标注是 Intel 还是 ARM 的,
    这至少是 IDEA 官方测试过的,稳定性应该没问题。
    skai0dev
        4
    skai0dev  
    OP
       65 天前
    @icyalala 感谢,没注意后面显示的 aarch
    dingwen07
        5
    dingwen07  
       65 天前
    dingwen07
        6
    dingwen07  
       65 天前   ❤️ 1
    我用的是微软的:
    sdk install java 17.0.1-ms

    ~ arch -arch x86_64 java --version
    arch: posix_spawnp: java: Bad CPU type in executable
    ~ arch -arch arm64 java --version
    openjdk 17.0.1 2021-10-19 LTS
    OpenJDK Runtime Environment Microsoft-28056 (build 17.0.1+12-LTS)
    OpenJDK 64-Bit Server VM Microsoft-28056 (build 17.0.1+12-LTS, mixed mode)
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1275 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 21ms · UTC 23:48 · PVG 07:48 · LAX 15:48 · JFK 18:48
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.